Subject: Re: Sample code

From: "TS Glassey" <[email-masked]>
Date: Sat, 1 Dec 2007 12:20:58 -0800

Ooops...

----- Original Message ----- 
From: "TS Glassey" <[email-masked]>
To: "Brian E Carpenter" <[email-masked]>; "Frank Ellermann" 
<[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, December 01, 2007 12:19 PM
Subject: Re: Sample code

> Come on guys  - this seems like it is real simple... and unpleasant. You 
> want inclusions to be controlled under the same copyright that the 
> submitters assert to, and
> there is NO way to do that without a separate set of releases against that 
> code...  http://www.copyright.gov/circs/circ1.html
>
> There are both 107 and 108 problems with the IETF's submission and 
> conveyance process with regard to 'controlled IP's being included in IETF 
> works' under the 107 Exemption. This by the way also blows NoteWell out of 
> the water since NO POSSIBLE conveyance to Joe Blow's IP can be had by the 
> IETF by my posting a note to a list talking about it or describing the 
> technological details of Joe Blow's system.
>
> That said... the section 107 and 108 copyright exemptions/controls are 
> pretty clear and research exemptions are limited to entities who are 
> formal research institutions. Entities' which are commercial in nature 
> would not qualify if they were performing efforts to further the sales of 
> their own products too one would think. More inline...
>
> Section 107 stuff
> -------------------
> Section 107 of the Copyright code allows a Researcher actively "involved 
> in Research" to produce a work which may include other previously 
> copyrighted works about patent protected technologies (or technologies for 
> which a patent could be filed against owned by another party). The problem 
> is that this Researcher CANNOT convey any further or other rights 
> including the ability to republish that IP ass far ass

should have read "as" (my apology)...

> I can tell without specific and particular releases. What this means is 
> that without a formal IP republication release from the ***original IP 
> owners*** the IP embedded in the submission controlled under the original 
> IP controls cannot be released for either further research publication or 
> for any derivative purposes either. 
> http://www.copyright.gov/title17/92chap1.html#107
>
> And of course, the problem is with NO DERIVATIVE works release the 
> Research exemption little more than the discussion about an IP could 
> occur.  There is another issue in that many of the people producing these 
> works do so for commercial entities as their sponsors and so that is in 
> fact an effort to commercially sidestep US Copyright law IMHO. 
> http://www.copyright.gov/fls/fl102.html
>
> Especially this is true here in the IETF since it is designed to enable
> global commerce on the Internet. That makes the republication of these 
> works
> an issue too. This is a SDO for people to build protocols so that global
> commerce and communication can occur so that means that ANY derivatives of
> this work product are tainted by the fact that the 107 Exemption doesn't
> grant any derivative rights against that IP.
>
> Section 107 and the Trust
> -----------------------------
> The next step is more painful, in that when the IETF transfers the IP to 
> any other entity, it loses that exemption and in as much companies like 
> Debian, Sun and others may in fact owe a whole lot of money to the 
> original IP Owners. The key issue is that any Section 107 exemptions 
> covering the republication for research purposes would probably also 
> terminate the instant that the IETF transfers the IP to home other entity, 
> like the Trust for instance.
>
> Section 108
> -------------
> Irrelevant of the IETF's statements on Copyrights moving forward it is 
> also
> important to review the rights granted for research publications under the
> Libraries and Archives rights section of the US Copyright act since I 
> think
> it means that the IETF needs to formally control the number of copies of 
> its work's in print per archive under section 108 of the copyright code. 
> http://www.copyright.gov/title17/92chap1.html#108
>
> Since this law also requires that there be no more than three copies 
> floating around, the IETF's process must also somehow address that copies 
> of IETF documents, once downloaded cannot ever be recovered.
>
> That probably means that an Archive gets shut down after is provides its 
> third copy of a document to ANYONE... which would be a real problem since 
> it doesn't happen. I mean of course only if its true, but if it is it 
> creates a severe liability for a number of very large companies for their 
> actions in copyright violations.
>
> The only fix I can see for this is a formal release process that allows 
> the IETF to get formal releases against included IP as well as the rest of 
> the submission.
>
>
> Todd Glassey
>
>
> ----- Original Message ----- 
> From: "Brian E Carpenter" <[email-masked]>
> To: "Frank Ellermann" <[email-masked]>
> Cc: <[email-masked]>
> Sent: Saturday, December 01, 2007 10:57 AM
> Subject: Re: Sample code
>
>
>> On 2007-12-02 06:27, Frank Ellermann wrote:
>>> Harald Alvestrand wrote:
>>>
>>>> I think the WG has concluded that it's unacceptable to publish source
>>>> code in an RFC that, if copied from the RFC and modified by a reader,
>>>> would place a GPL (or any other copyright-based) requirement on that
>>>> reader.
>>>
>>> Sounds familiar...
>>>
>>>> And I think that's a sensible conclusion to come to.
>>>
>>> ...but the outcome is horrible,
>>
>> It doesn't have to be. If the author of the code contributes
>> it directly to the IETF process, quite independently of any
>> contribution of the same code made under any other license,
>> the IETF's needs are met.
>
> Todd
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipr-wg

---

From: "Frank Ellermann" <[email-masked]>
Date: Sat, 1 Dec 2007 22:44:08 +0100

> should have read "as" (my apology)...

...don't worry about it, apparently you
have a "thing" with this word.  I'd try
to remove it from my spell checker, but
my DEnglish typos are less predictable.

Ob on topic, I'm still not interested in
details of US law, the EU + DE madness
is fascinating enough for me.  

It could make sense to adopt rules by an
organization devoted to get such issues 
right worldwide (IOW "creative commons"),
but apparently the WG doesn't like this,
too bad :-(

 Frank